#!/bin/bash

set -ex

trap 'rm -f *.tmp' EXIT INT TERM

repo=yandex-cloud/geesefs
needrestart=false
release=$(curl -sfSL https://api.github.com/repos/${repo}/releases/latest | awk '/"tag_name": /{gsub(/[",]/, ""); print $2}')

for filename in geesefs-linux-arm64 geesefs-linux-amd64; do
	# targetname=$(echo ${filename} | tr _ -)
	targetname=${filename}
	wget -O geesefs.tmp https://github.com/${repo}/releases/download/${release}/${targetname}
	if [ "$(diff geesefs.tmp ${filename})" != "" ] ; then
		install -m 755 geesefs.tmp ${filename}
		needrestart=true
	fi
done

#if [ "${needrestart}" = "true" ]; then
#	sudo systemctl restart geesefs
#fi
